WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Synergy-1.3.1.tcz  (Read 733 times)

Offline darkenvy

  • WikiUser
  • *
  • Posts: 2
Synergy-1.3.1.tcz
« on: October 26, 2016, 01:25:07 PM »
I tried to wait as long as possible before posting :P. I lurked and got my system up working great using persisting /opt & /home :D.

I was able to find synergy-1.3.1.tcz elsewhere (doesn't appear to be in tce-load -wi) but I get an interesting error when trying to tce-load -i it.

Code: newbielink:javascript:void(0); [nonactive]
mount: mounting /dev/loop79 on /tmp/tcloop/synergy-1.3.1 failed: Invalid argument
The reason I am trying to load 1.3.1 even though it is 2009 old? Because the latest compiled version for ARM (pi ubuntu specifically) has other errors such as libcurl-gnutls.so.4 missing. So I gave up on that front.

Anyone still using synergy on TC?

Offline hiro

  • Hero Member
  • *****
  • Posts: 1059
Re: Synergy-1.3.1.tcz
« Reply #1 on: October 26, 2016, 03:09:59 PM »
I gave up on synergy.

I had written some patches and tried to get them accepted upstream but that only resulted in me getting cursed at by the main developer who wanted money, not patches.

Now it's some kind of buggy commercial software but every version is always incompatible with all other versions, so basically unless you compile it everywhere yourself you can't use it at all.

tldr: Open source software -> Developer too lazy to accept patches -> Startup bizz -> Big moneys.

Offline darkenvy

  • WikiUser
  • *
  • Posts: 2
Re: Synergy-1.3.1.tcz
« Reply #2 on: October 26, 2016, 06:06:38 PM »
I compiled my own version for the pi though :o. It was on this pi; I simply changed from ubuntu mate to TC.

I may move back to something else for NOW (I officially love TC after going through intensive install processes) because I realized the lack of software between my test (VMware x86) and Pi (ARM) are because it's just missing software XD.

My compiled version of Synergy works elsewhere but not on core. I feel that if I solved the dependency issue, Ill then be fighting the persistence issue.

Another time I guess :P